org.keycloak.authentication

## Class DefaultAuthenticationFlow

- java.lang.Object
- - org.keycloak.authentication.DefaultAuthenticationFlow

- All Implemented Interfaces:
    AuthenticationFlow

      public class DefaultAuthenticationFlow
      extends Object
      implements AuthenticationFlow

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from interface org.keycloak.authentication.AuthenticationFlow

      `BASIC_FLOW, CLIENT_FLOW, FORM_FLOW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultAuthenticationFlow(AuthenticationProcessor processor, AuthenticationFlowModel flow)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Authenticator` | `createAuthenticator(AuthenticatorFactory factory)`
    `List<AuthenticationFlowException>` | `getFlowExceptions()`
    `protected boolean` | `isProcessed(AuthenticationExecutionModel model)`
    `protected static boolean` | `isProcessed(AuthenticationProcessor processor, AuthenticationExecutionModel model)`
    `boolean` | `isSuccessful()`
    `javax.ws.rs.core.Response` | `processAction(String actionExecution)`
    `javax.ws.rs.core.Response` | `processFlow()`
    `javax.ws.rs.core.Response` | `processResult(AuthenticationProcessor.Result result, boolean isAction)`
    `javax.ws.rs.core.Response` | `sendChallenge(AuthenticationProcessor.Result result, AuthenticationExecutionModel execution)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultAuthenticationFlow

          public DefaultAuthenticationFlow(AuthenticationProcessor processor,
                                           AuthenticationFlowModel flow)

  - ### Method Detail

    - #### isProcessed

          protected boolean isProcessed(AuthenticationExecutionModel model)

    - #### isProcessed

          protected static boolean isProcessed(AuthenticationProcessor processor,
                                               AuthenticationExecutionModel model)

    - #### createAuthenticator

          protected Authenticator createAuthenticator(AuthenticatorFactory factory)

    - #### processAction

          public javax.ws.rs.core.Response processAction(String actionExecution)

      Specified by:
        `processAction` in interface `AuthenticationFlow`

    - #### processFlow

          public javax.ws.rs.core.Response processFlow()

      Specified by:
        `processFlow` in interface `AuthenticationFlow`

    - #### processResult

          public javax.ws.rs.core.Response processResult(AuthenticationProcessor.Result result,
                                                         boolean isAction)

    - #### sendChallenge

          public javax.ws.rs.core.Response sendChallenge(AuthenticationProcessor.Result result,
                                                         AuthenticationExecutionModel execution)

    - #### isSuccessful

          public boolean isSuccessful()

      Specified by:
        `isSuccessful` in interface `AuthenticationFlow`

    - #### getFlowExceptions

          public List<AuthenticationFlowException> getFlowExceptions()

      Specified by:
        `getFlowExceptions` in interface `AuthenticationFlow`

Copyright © 2020 JBoss by Red Hat. All rights reserved.